# Interface methods for submodule: TriangleMeshToBinaryImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: TriangleMeshToBinaryImageFilter
class TriangleMeshToBinaryImageFilterProxy(_ImageSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetSpacing(self, spacing) -> None:
		""""""
		...

	def GetSpacing(self) -> Sequence[float]:
		""""""
		...

	def SetDirection(self, _arg) -> None:
		""""""
		...

	def GetDirection(self):
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetInsideValue(self) -> float:
		""""""
		...

	@overload
	def GetInsideValue(self) -> int:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> float:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> int:
		""""""
		...

	@overload
	def SetOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOrigin(self, origin) -> None:
		""""""
		...

	def GetOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetIndex(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetIndex(self) -> Sequence[int]:
		""""""
		...

	def SetSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetSize(self) -> Sequence[int]:
		""""""
		...

	def SetInput(self, input) -> None:
		""""""
		...

	def SetInfoImage(self, InfoImage) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	def SetTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetTolerance(self) -> float:
		""""""
		...

